Bug 971977 - crashes when trying review #952229
crashes when trying review #952229
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-review (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 952229
  Show dependency treegraph
 
Reported: 2013-06-07 14:23 EDT by Björn 'besser82' Esser
Modified: 2013-09-16 13:43 EDT (History)
4 users (show)

See Also:
Fixed In Version: fedora-review-0.5.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 09:26:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fedora-review.log - tarball with logs from fresh-mock-root and used-mock-root (4.37 KB, application/gzip)
2013-06-07 14:23 EDT, Björn 'besser82' Esser
no flags Details

  None (edit)
Description Björn 'besser82' Esser 2013-06-07 14:23:37 EDT
Created attachment 758262 [details]
fedora-review.log - tarball with logs from fresh-mock-root and used-mock-root

Description of problem:
fedora-review crashes when I try to review bug #952229 "Review Request: canl-c++ - EMI Common Authentication library - bindings for C++" during installation of mock-build rpms.

Version-Release number of selected component:
0.4.1-1 (fedora-review-0.4.1-1.fc19.noarch)

How reproducible:
always, invoke `fedora-review -m fedora-${release}-${arch} -b 952229`

Steps to Reproduce:
  1. invoke `fedora-review -m fedora-${release}-${arch} -b 952229`
  2. wait for "INFO: Installing built package(s)"
  3. get "ERROR: Exception down the road...(logs in ${HOME}/.cache/fedora-review.log)"

Actual results:
fails, see above

Expected results:
fedora-review should successfully complete automated part of review-process as expected on any random review-bug.

Additional info:
see attachment

Environment:
declare -x CCACHE_HASHDIR=""
declare -x COLORTERM="gnome-terminal"
declare -x CVS_RSH="ssh"
declare -x DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-iMs48Rz4mP,guid=6ff36322fb199de01c63b27c51b189dd"
declare -x DBUS_STARTER_ADDRESS="unix:abstract=/tmp/dbus-iMs48Rz4mP,guid=6ff36322fb199de01c63b27c51b189dd"
declare -x DBUS_STARTER_BUS_TYPE="session"
declare -x DESKTOP_SESSION="gnome"
declare -x DISPLAY=":0"
declare -x GDMSESSION="gnome"
declare -x GJS_DEBUG_OUTPUT="stderr"
declare -x GJS_DEBUG_TOPICS="JS ERROR;JS LOG"
declare -x GNOME_DESKTOP_SESSION_ID="this-is-deprecated"
declare -x GNOME_KEYRING_CONTROL="/run/user/${USER}/keyring-FEwWhs"
declare -x GNOME_KEYRING_PID="1972"
declare -x GPG_AGENT_INFO="/run/user/${UID}/keyring-FEwWhs/gpg:0:1"
declare -x HISTCONTROL="ignoredups"
declare -x HISTSIZE="1000"
declare -x HOME="/home/${USER}"
declare -x HOSTNAME="lowercase-ascii-and-digits-no-domain"
declare -x IMSETTINGS_INTEGRATE_DESKTOP="yes"
declare -x IMSETTINGS_MODULE="none"
declare -x KRB5CCNAME="DIR:/run/user/${UID}/krb5cc_dccbac97fdc575111a0adb1551b189cc"
declare -x LANG="C"
declare -x LESSOPEN="||/usr/bin/lesspipe.sh %s"
declare -x LIBOVERLAY_SCROLLBAR="0"
declare -x LOGNAME="${USER}"
declare -x LS_COLORS="rs=0:di=38;5;27:ln=38;5;51:mh=44;38;5;15:pi=40;38;5;11:so=38;5;13:do=38;5;5:bd=48;5;232;38;5;11:cd=48;5;232;38;5;3:or=48;5;232;38;5;9:mi=05;48;5;232;38;5;15:su=48;5;196;38;5;15:sg=48;5;11;38;5;16:ca=48;5;196;38;5;226:tw=48;5;10;38;5;16:ow=48;5;10;38;5;21:st=48;5;21;38;5;15:ex=38;5;34:*.tar=38;5;9:*.tgz=38;5;9:*.arc=38;5;9:*.arj=38;5;9:*.taz=38;5;9:*.lha=38;5;9:*.lzh=38;5;9:*.lzma=38;5;9:*.tlz=38;5;9:*.txz=38;5;9:*.tzo=38;5;9:*.t7z=38;5;9:*.zip=38;5;9:*.z=38;5;9:*.Z=38;5;9:*.dz=38;5;9:*.gz=38;5;9:*.lrz=38;5;9:*.lz=38;5;9:*.lzo=38;5;9:*.xz=38;5;9:*.bz2=38;5;9:*.bz=38;5;9:*.tbz=38;5;9:*.tbz2=38;5;9:*.tz=38;5;9:*.deb=38;5;9:*.rpm=38;5;9:*.jar=38;5;9:*.war=38;5;9:*.ear=38;5;9:*.sar=38;5;9:*.rar=38;5;9:*.alz=38;5;9:*.ace=38;5;9:*.zoo=38;5;9:*.cpio=38;5;9:*.7z=38;5;9:*.rz=38;5;9:*.cab=38;5;9:*.jpg=38;5;13:*.jpeg=38;5;13:*.gif=38;5;13:*.bmp=38;5;13:*.pbm=38;5;13:*.pgm=38;5;13:*.ppm=38;5;13:*.tga=38;5;13:*.xbm=38;5;13:*.xpm=38;5;13:*.tif=38;5;13:*.tiff=38;5;13:*.png=38;5;13:*.svg=38;5;13:*.svgz=38;5;13:*.mng=38;5;13:*.pcx=38;5;13:*.mov=38;5;13:*.mpg=38;5;13:*.mpeg=38;5;13:*.m2v=38;5;13:*.mkv=38;5;13:*.ogm=38;5;13:*.mp4=38;5;13:*.m4v=38;5;13:*.mp4v=38;5;13:*.vob=38;5;13:*.qt=38;5;13:*.nuv=38;5;13:*.wmv=38;5;13:*.asf=38;5;13:*.rm=38;5;13:*.rmvb=38;5;13:*.flc=38;5;13:*.avi=38;5;13:*.fli=38;5;13:*.flv=38;5;13:*.gl=38;5;13:*.dl=38;5;13:*.xcf=38;5;13:*.xwd=38;5;13:*.yuv=38;5;13:*.cgm=38;5;13:*.emf=38;5;13:*.axv=38;5;13:*.anx=38;5;13:*.ogv=38;5;13:*.ogx=38;5;13:*.aac=38;5;45:*.au=38;5;45:*.flac=38;5;45:*.mid=38;5;45:*.midi=38;5;45:*.mka=38;5;45:*.mp3=38;5;45:*.mpc=38;5;45:*.ogg=38;5;45:*.ra=38;5;45:*.wav=38;5;45:*.axa=38;5;45:*.oga=38;5;45:*.spx=38;5;45:*.xspf=38;5;45:"
declare -x MAIL="/var/spool/mail/${USER}"
declare -x NO_UNITY_GTK_MODULE="1"
declare -x PATH="/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:${HOME}/.local/bin:${HOME}/bin"
declare -x PWD="~/fedora/review"
declare -x QT_GRAPHICSSYSTEM_CHECKED="1"
declare -x QT_IM_MODULE="ibus"
declare -x SESSION_MANAGER="local/unix:@/tmp/.ICE-unix/1974,unix/unix:/tmp/.ICE-unix/1974"
declare -x SHELL="/bin/bash"
declare -x SHLVL="2"
declare -x SSH_AUTH_SOCK="/run/user/${UID}/keyring-FEwWhs/ssh"
declare -x TERM="xterm-256color"
declare -x UBUNTU_MENUPROXY="0"
declare -x USER="user.name"
declare -x USERNAME="${USER}"
declare -x VTE_VERSION="3405"
declare -x WINDOWID="31457286"
declare -x WINDOWPATH="1"
declare -x XAUTHORITY="/run/gdm/auth-for-${USER}-WvpCn8/database"
declare -x XDG_MENU_PREFIX="gnome-"
declare -x XDG_RUNTIME_DIR="/run/user/${UID}"
declare -x XDG_SEAT="seat0"
declare -x XDG_SESSION_ID="1"
declare -x XDG_VTNR="1"
declare -x XMODIFIERS="@im=ibus"
Comment 1 Alec Leamas 2013-06-08 01:47:37 EDT
Caused by lines 133-135 in generic_should.py:

I've pushed a fix to devel [1]. With this, f-r run to completion for me. You could run the devel version as described on [2] if still interested.

[1]https://fedorahosted.org/FedoraReview/changeset/e65ae4ac6c04652

[2] https://fedorahosted.org/FedoraReview/wiki/UseDevelopmentVersion
Comment 2 Björn 'besser82' Esser 2013-06-09 04:24:44 EDT
Thank for your quick response and fix!

I applied your patch to my installed version of f-r on F19 and it works like a charm for me, now.

I think you might want to merge your commit into the F19-branch (possibly F18-branch, too) and commit this as an update to bodhi.
Comment 3 Fedora Update System 2013-08-30 09:12:32 EDT
fedora-review-0.5.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-1.el6
Comment 4 Fedora Update System 2013-08-30 09:13:01 EDT
fedora-review-0.5.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-1.fc19
Comment 5 Alec Leamas 2013-08-30 09:26:22 EDT
Closoing bug with new release 0.5.0. Thanks for reporting, feel free to reopen should problem persist.
Comment 6 Fedora Update System 2013-09-01 19:04:41 EDT
fedora-review-0.5.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-16 13:43:11 EDT
fedora-review-0.5.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.